#
# spec file for package perl-TOML-Parser (Version 0.91)
#
# Copyright (c) 124 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name TOML-Parser
Name:           perl-TOML-Parser
Version:        0.91
Release:        0
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Simple toml parser
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         TOML-Parser-0.91.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(parent)
BuildRequires:  perl(Storable) >= 2.38
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Deep::Fuzzy)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Types::Serialiser)
Requires:       perl(parent)
Requires:       perl(Types::Serialiser)
%{perl_requires}

%description
TOML::Parser is a simple toml parser.

This data structure complies with the tests provided at
https://github.com/toml-lang/toml/tree/v0.4.0/tests.

The v0.4.0 specification is supported.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
